> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run power action

> Performs an action on a given server:
- `power_on`
- `power_off`
- `reboot`




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /servers/{server_id}/actions
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /servers/{server_id}/actions:
    post:
      tags:
        - Servers
      summary: Run power action
      description: |
        Performs an action on a given server:
        - `power_on`
        - `power_off`
        - `reboot`
      operationId: create-server-action
      parameters:
        - name: server_id
          in: path
          required: true
          examples:
            Created:
              value: sv_WVQJDMVBORbyE
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - actions
                    attributes:
                      type: object
                      properties:
                        action:
                          type: string
                          description: The action to perform on the server
                          enum:
                            - power_on
                            - power_off
                            - reboot
                      required:
                        - action
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: actions
                    attributes:
                      action: reboot
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - actions
                    attributes:
                      type: object
                      properties:
                        action:
                          type: string
                          description: The action to perform on the server
                          enum:
                            - power_on
                            - power_off
                            - reboot
                      required:
                        - action
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: actions
                    attributes:
                      action: reboot
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: act_73qkbw0QmjdaJ
                      type: actions
                      attributes:
                        status: Rebooting device
                    meta: {}
              schema:
                $ref: '#/components/schemas/server_action'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.servers.actions(server_id="sv_WVQJDMVBORbyE", data={
                    "type": latitudesh_python_sdk.CreateServerActionServersType.ACTIONS,
                    "attributes": {
                        "action": latitudesh_python_sdk.CreateServerActionAction.REBOOT,
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Servers.RunAction(ctx, \"sv_WVQJDMVBORbyE\", operations.CreateServerActionServersRequestBody{\n        Data: operations.CreateServerActionServersData{\n            Type: operations.CreateServerActionServersTypeActions,\n            Attributes: &operations.CreateServerActionServersAttributes{\n                Action: operations.CreateServerActionActionReboot,\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ServerAction != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.servers.runAction({
                serverId: "sv_WVQJDMVBORbyE",
                requestBody: {
                  data: {
                    type: "actions",
                    attributes: {
                      action: "reboot",
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    server_action:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - actions
            attributes:
              type: object
              properties:
                status:
                  type: string
        meta:
          type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````